Bug 862406 - [abrt] youtube-dl-2012.02.27-1.fc17: FileDownloader.py:326:prepare_filename:TypeError: not enough arguments for format string
[abrt] youtube-dl-2012.02.27-1.fc17: FileDownloader.py:326:prepare_filename:T...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: youtube-dl (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
abrt_hash:fbda6e74a2c71d5713d103b3a2b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 15:38 EDT by david
Modified: 2013-07-21 20:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-21 20:47:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (518 bytes, text/plain)
2012-10-02 15:38 EDT, david
no flags Details

  None (edit)
Description david 2012-10-02 15:38:18 EDT
Description of problem:
when i tried to shutdown the computer

Version-Release number of selected component:
youtube-dl-2012.02.27-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        python /usr/bin/youtube-dl -f 44 -o %stitle.%ext http://www.youtube.com/watch?v=K4Qp1TEKswQ
kernel:         3.5.4-1.fc17.x86_64

backtrace:
:FileDownloader.py:326:prepare_filename:TypeError: not enough arguments for format string
:
:Traceback (most recent call last):
:  File "/usr/lib64/python2.7/runpy.py", line 162, in _run_module_as_main
:    "__main__", fname, loader, pkg_name)
:  File "/usr/lib64/python2.7/runpy.py", line 72, in _run_code
:    exec code in run_globals
:  File "/usr/bin/youtube-dl/__main__.py", line 7, in <module>
:    __init__.main()
:  File "/usr/bin/youtube-dl/__init__.py", line 547, in main
:    _real_main()
:  File "/usr/bin/youtube-dl/__init__.py", line 531, in _real_main
:    retcode = fd.download(all_urls)
:  File "/usr/bin/youtube-dl/FileDownloader.py", line 480, in download
:    self.process_info(video)
:  File "/usr/bin/youtube-dl/FileDownloader.py", line 359, in process_info
:    filename = self.prepare_filename(info_dict)
:  File "/usr/bin/youtube-dl/FileDownloader.py", line 326, in prepare_filename
:    filename = self.params['outtmpl'] % template_dict
:TypeError: not enough arguments for format string
:
:Local variables in innermost frame:
:template_dict: {'upload_date': '20091202', 'description': u'Music video by Eels performing Fresh Blood. (C) 2009 Vagrant Records (US)', 'format': u'44', 'url': u'http://o-o---preferred---sn-j5cax8pn-5b0e---v15---lscache7.c.youtube.com/videoplayback?upn=rClpcRBpfeE&sparams=cp%2Cgcr%2Cid%2Cip%2Cipbits%2Citag%2Cratebypass%2Csource%2Cupn%2Cexpire&fexp=917000%2C906042%2C908457%2C922401%2C906044%2C920704%2C912806%2C913419%2C913546%2C913556%2C919349%2C919351%2C925109%2C919003%2C920201%2C912706%2C900816&ms=au&expire=1349172817&itag=44&ipbits=8&gcr=mx&sver=3&ratebypass=yes&mt=1349149211&ip=201.167.185.137&mv=m&source=youtube&key=yt1&cp=U0hTTlFSUF9GUUNOM19JTFRJOnMyektzdHNpejRI&id=2b8429d5310ab304&signature=8B7BBE49FB08FEA6D1ED330D4D54BE797B0150D2.3E679833B2F762EC47A91FF407076121019D1CBB', 'title': u'Eels - Fresh Blood', 'epoch': u'1349149258', 'player_url': None, 'thumbnail': u'http://i4.ytimg.com/vi/K4Qp1TEKswQ/default.jpg', 'ext': u'webm', 'stitle': u'Eels_-_Fresh_Blood', 'extractor': u'youtube', 'uploader': u'EelsVEVO', 'autonumber': u'00001', 'id': u'K4Qp1TEKswQ', 'subtitles': None}
:self: <FileDownloader.FileDownloader object at 0x148f610>
:info_dict: {'upload_date': '20091202', 'description': u'Music video by Eels performing Fresh Blood. (C) 2009 Vagrant Records (US)', 'format': u'44', 'uploader': u'EelsVEVO', 'id': u'K4Qp1TEKswQ', 'subtitles': None, 'stitle': u'Eels_-_Fresh_Blood', 'title': u'Eels - Fresh Blood', 'url': u'http://o-o---preferred---sn-j5cax8pn-5b0e---v15---lscache7.c.youtube.com/videoplayback?upn=rClpcRBpfeE&sparams=cp%2Cgcr%2Cid%2Cip%2Cipbits%2Citag%2Cratebypass%2Csource%2Cupn%2Cexpire&fexp=917000%2C906042%2C908457%2C922401%2C906044%2C920704%2C912806%2C913419%2C913546%2C913556%2C919349%2C919351%2C925109%2C919003%2C920201%2C912706%2C900816&ms=au&expire=1349172817&itag=44&ipbits=8&gcr=mx&sver=3&ratebypass=yes&mt=1349149211&ip=201.167.185.137&mv=m&source=youtube&key=yt1&cp=U0hTTlFSUF9GUUNOM19JTFRJOnMyektzdHNpejRI&id=2b8429d5310ab304&signature=8B7BBE49FB08FEA6D1ED330D4D54BE797B0150D2.3E679833B2F762EC47A91FF407076121019D1CBB', 'player_url': None, 'ext': u'webm', 'extractor': u'youtube', 'thumbnail': u'http://i4.ytimg.com/vi/K4Qp1TEKswQ/default.jpg'}
Comment 1 david 2012-10-02 15:38:21 EDT
Created attachment 620465 [details]
File: core_backtrace
Comment 2 Christopher Meng 2013-05-13 05:45:38 EDT
Are you still suffering this problem? If not I'll close, you can reopen this later.
Comment 3 Fedora Admin XMLRPC Client 2013-05-17 22:00:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2013-07-04 01:43:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.